Bug 113858 - Remove color palettes Breeze, Tango and LibreOffice
Summary: Remove color palettes Breeze, Tango and LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Color-Palettes
  Show dependency treegraph
 
Reported: 2017-11-15 13:51 UTC by Thomas Lendo
Modified: 2018-06-26 18:18 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-11-15 13:51:54 UTC
Is there a use case and benefit for most LibO users to have the 3 palettes Breeze, Tango and LibreOffice in the palettes list?

4 reasons against:
- The palettes list is very long.
- Other palettes give normal users enough choices.
- The palettes are only interesting for few people.
- Palettes can be added as extension, therefore users who need the mentioned color palettes could import them easily.

I don't know the deeper background of the decision to include these palettes and references like in bug 104050 give not many input. So I suggest to remove them from standard installation.
Comment 1 Yousuf Philips (jay) (retired) 2017-11-15 14:51:18 UTC
As mentioned in bug 104050 comment 3, "Breeze isnt a color theme used anywhere else than KDE, so there isnt a need for it as a bundled palette, IMHO."

As mentioned in bug 104047 comment 3, "I suggest the removal of the libreoffice and tango palettes as well."

And now with the addition of color palettes via extensions, it means users who need them can install them in that way.
Comment 2 Heiko Tietze 2017-11-15 15:23:56 UTC
Disagree strongly with removing LibreOffice as this is our standard. Breeze and Tango is optional since we do not have mockup functionalities. However, the number of palettes is not that an issue so my take is to keep all three. 
=> WF as there is no use case.
Comment 3 Thomas Lendo 2017-11-15 16:10:38 UTC
(In reply to Heiko Tietze from comment #2)
> Disagree strongly with removing LibreOffice as this is our standard.
Standard for what purpose regarding user needs?
Comment 4 Yousuf Philips (jay) (retired) 2017-11-15 21:07:41 UTC
(In reply to Heiko Tietze from comment #2)
> Disagree strongly with removing LibreOffice as this is our standard.

It maybe a standard for tdf and those creating documents for tdf, but has no benefit for regular users (benjamin or eve).
Comment 5 Jean-Baptiste Faure 2017-11-16 06:25:42 UTC
I strongly disagree with this fashion to remove existing functionalities under the pretext that they are used by less than 100% of the users.

Please describe the gain for:
1/ existing normal users
2/ advanced users and contributers
3/ new users willing to discover what possibilities LibreOffice can offer

Please give numbers proving that "Other palettes give normal users enough choices" and that "palettes are only interesting for few people"

Please attach to this bug report an extension enabling the palette you want to remove. Indeed, even if it is possible to add palette via an extension, if nobody make this extension the functionality is lost. So the extension must be available before removing the palettes from the standard installation and, as for dictionaries, a menu entry must be added to search new palettes on the extensions website. 

Best regards. JBF
Comment 6 Thomas Lendo 2017-11-16 09:55:10 UTC
(In reply to Jean-Baptiste Faure from comment #5)
> I strongly disagree with this fashion to remove existing functionalities
> under the pretext that they are used by less than 100% of the users.
Same could be asked in discussions about specific feature removal e.g. in the wiki. It's the decision of ESC or a group of developers regardless who or how many people are actually using a feature.

I'm also against hasty feature removal because only some people pretend to know that a feature is useless. BUT I haven't read/found any single explanation who the users are who need these palettes.

For every single enhancement request in Bugzilla, people ask for whom this enhancement would be a benefit and if it can be better added as extension instead of in-built. Is this question not allowed for specific palettes?

> Please describe the gain for:
> 1/ existing normal users
Normal users don't use Breeze color palette I really assume. Do normal users use another palette than "standard"?

> 2/ advanced users and contributers
LibreOffice help/marketing documents already have the used colors in their documents. Why is an extra LibreOffice color palette necessary? And if it's necessary because of some LibO marketing documents, why all the millions of LibO users must have this palette in their installation too?

> 3/ new users willing to discover what possibilities LibreOffice can offer
What possibilities are Breeze, Tango and LibreOffice color palettes offering to users?

> Please give numbers proving that "Other palettes give normal users enough
> choices" and that "palettes are only interesting for few people"
Changing the whole default color palettes some LibO versions ago was no problem? But now it is a problem to remove the smallest palettes?

> Please attach to this bug report an extension enabling the palette you want
> to remove.
With https://extensions.libreoffice.org/extensions/custom-palette-eport you can make a palette extension. It will be no problem for me or Jay or Heiko to make such extensions for the removed palettes. Extensions should be offered for these palettes indeed.

> and, as for dictionaries, a menu entry must be added to search
> new palettes on the extensions website. 
Right. Why didn't that happen long before when the palette extension possibility was added to LibO?
Comment 7 Thomas Lendo 2017-11-17 09:22:48 UTC
(In reply to Jean-Baptiste Faure from comment #5)
> I strongly disagree with this fashion to remove existing functionalities
> under the pretext that they are used by less than 100% of the users.
Same could be asked in discussions about specific feature removal e.g. in the wiki. It's the decision of ESC or a group of developers regardless who or how many people are actually using a feature.

I'm also against hasty feature removal because only some people pretend to know that a feature is useless. BUT I haven't read/found any single explanation who the users are who need these palettes.

For every single enhancement request in Bugzilla, people ask for whom this enhancement would be a benefit and if it can be better added as extension instead of in-built. Is this question not allowed for specific palettes?

> Please describe the gain for:
> 1/ existing normal users
Normal users don't use Breeze color palette I really assume. Do normal users use another palette than "standard"?

> 2/ advanced users and contributers
LibreOffice help/marketing documents already have the used colors in their documents. Why is an extra LibreOffice color palette necessary? And if it's necessary because of some LibO marketing documents, why all the millions of LibO users must have this palette in their installation too?

> 3/ new users willing to discover what possibilities LibreOffice can offer
What possibilities are Breeze, Tango and LibreOffice color palettes offering to users?

> Please give numbers proving that "Other palettes give normal users enough
> choices" and that "palettes are only interesting for few people"
Changing the whole default color palettes some LibO versions ago was no problem? But now it is a problem to remove the smallest palettes?

> Please attach to this bug report an extension enabling the palette you want
> to remove.
With https://extensions.libreoffice.org/extensions/custom-palette-eport you can make a palette extension. It will be no problem for me or Jay or Heiko to make such extensions for the removed palettes. Extensions should be offered for these palettes indeed.

> and, as for dictionaries, a menu entry must be added to search
> new palettes on the extensions website. 
Right. Why didn't that happen long before when the palette extension possibility was added to LibO?
Comment 8 Yousuf Philips (jay) (retired) 2017-11-17 14:17:31 UTC
(In reply to Jean-Baptiste Faure from comment #5)
> I strongly disagree with this fashion to remove existing functionalities
> under the pretext that they are used by less than 100% of the users.

Icon and brand color palettes are primarily used by icon designers and those required to stick to sanctioned brand colors and as a result only have very few colors in them, which results in very limited usage of such a color palette by most users. (breeze has 31, tango has 29, libreoffice has 32)

If we look at the GSoC proposal for the new color picker, it didnt include the tango palette in its design[1] and we dont use the tango palette for the tango icon theme we ship, so tango wouldnt be used by the tango icon designers that are in the design team, and the tango palette has long been abandoned.

As mentioned in comment 1, i was apposed to the addition of breeze for the reason mentioned above, and my comment was ignored in bug 104050, and it wasnt added based on data requesting that it be added. Also the breeze icon theme no longer uses this limited color palette. I had suggested adding large color palettes in bug 87541, which contain enough colors to be beneficial to be used.

The Libreoffice palette would be used by members of tdf and LO volunteers, but wouldnt be used by any other users and as such servers no purpose to be bundled by default.

> Please attach to this bug report an extension enabling the palette you want
> to remove. Indeed, even if it is possible to add palette via an extension,
> if nobody make this extension the functionality is lost.

For those interested in using these palettes, they are more than welcome to create them and add them to the extension website. Heiko wrote up a guide to do so here[2].

> So the extension
> must be available before removing the palettes from the standard
> installation and, as for dictionaries, a menu entry must be added to search
> new palettes on the extensions website.

Note that creation of the extension isnt a prerequisite of the palettes removal, similar to the removal of the oxygen theme before its extension was created. If a menu entry must be added to search for palettes on the extensions website, then you should suggest that to the extension website maintainer.

[1] https://wiki.documentfoundation.org/Design/Whiteboards/Color_Picker
[2] https://design.blog.documentfoundation.org/2017/03/29/libreoffice-extension-export-custom-palette/
Comment 9 Yousuf Philips (jay) (retired) 2017-11-17 14:18:27 UTC
Stuart, Adolfo, Cor: opinions?
Comment 10 Heiko Tietze 2017-11-17 15:22:12 UTC
Repeating my comment 2: to remove the own branding colors is like cutting off your identity. I'm strongly against this proposal.

Gabor, you added localization recently. What do you think?
Comment 11 Yousuf Philips (jay) (retired) 2017-11-17 16:42:53 UTC
(In reply to Heiko Tietze from comment #10)
> Repeating my comment 2: to remove the own branding colors is like cutting
> off your identity. I'm strongly against this proposal.

Branding is shown in the splash screen, start center, about dialog, etc. so there is no branding necessary as a color palette for users to use.
Comment 12 V Stuart Foote 2017-11-17 18:08:16 UTC
Only concerns I have would be impact on existing templates and existing documents anywhere the colors are named and it makes it into the ODF. I've not checked but in generating templates and area fill gradients do we pick colors by palette name, or are they always by HEX sRGB value?

Also, we had to be careful with handling localization of html palette because both HTML/CSS and SVG use the X11 color names as keywords. 

Looking at standard.sog we refer to Tango in the gradient names, but colors receive a specific HEX value. And, the unit test for ODF export make use of the gradient names containing Tango. So dropping the "branding" palettes (Tango, Breeze, and LibreOffice) is probably fine, but we do need to check other corners of the UI.

=-ref-=
https://opengrok.libreoffice.org/xref/core/extras/source/palettes/standard.sog
https://opengrok.libreoffice.org/xref/core/sw/qa/extras/odfexport/odfexport.cxx
Comment 13 V Stuart Foote 2017-11-17 18:37:45 UTC
The reference strings for Tango and LibreOffice derived colors are here...

https://opengrok.libreoffice.org/xref/core/svx/inc/strings.hxx

look to have them in the standard-gradients, and in the transparence gradients.
Comment 14 Gabor Kelemen 2017-11-18 10:38:53 UTC
(In reply to Heiko Tietze from comment #10)
> Repeating my comment 2: to remove the own branding colors is like cutting
> off your identity. I'm strongly against this proposal.
> 
> Gabor, you added localization recently. What do you think?

I don't have a strong opinion about what palettes should we ship. I just care about the i18n aspect.
Comment 15 Adolfo Jayme 2017-11-18 15:48:16 UTC
I do not like throwing all this work under the bus, especially when it has just stabilized like a couple of releases ago. A big -2 from me.
Comment 16 Yousuf Philips (jay) (retired) 2017-11-18 22:52:59 UTC
(In reply to Adolfo Jayme from comment #15)
> I do not like throwing all this work under the bus, especially when it has
> just stabilized like a couple of releases ago. A big -2 from me.

Not sure how you are defining 'all this work' as adding a palette of existing colors is a simple process. Its not like we are removing the color picker widget. We have been adding, removing and modifying palettes in 5.3 and 5.4, so there hasnt been any stability in palettes recently.
Comment 17 k-j 2017-11-23 07:34:37 UTC Comment hidden (off-topic)
Comment 18 k-j 2017-11-23 07:40:53 UTC Comment hidden (off-topic)
Comment 19 Thomas Lendo 2017-11-23 09:04:46 UTC Comment hidden (off-topic)
Comment 20 Jean-Francois Nifenecker 2017-11-23 09:32:05 UTC
The removal of the LibreOffice palette would be a big problem. This palette is used for creating tutorials and refcards for LibreOffice. Having it at hand without having to download and install it is a blessing. As it is a quite small palette, keeping it is a must. Also, if, some day, the LO branding color scheme happens to evolve, having an up-to-date version just by updating LO is a big plus. 

Hence, like others here, I'm strongly against the removal of the LibreOffice palette.
Comment 21 k-j 2017-11-23 09:40:17 UTC
(In reply to Jean-Francois Nifenecker from comment #20)
> The removal of the LibreOffice palette would be a big problem. This palette
> is used for creating tutorials and refcards for LibreOffice.

Don't forget the whole LibO-documentation. The Docu-Team is already working on LibO 6 documentation with all screenshots.
Comment 22 Yousuf Philips (jay) (retired) 2017-11-23 10:19:37 UTC Comment hidden (off-topic)
Comment 23 k-j 2017-11-23 10:35:12 UTC Comment hidden (off-topic)
Comment 24 Adolfo Jayme 2017-11-23 21:30:29 UTC
(In reply to Yousuf Philips (jay) from comment #16)
> Not sure how you are defining 'all this work' as adding a palette of
> existing colors is a simple process. Its not like we are removing the color
> picker widget. We have been adding, removing and modifying palettes in 5.3
> and 5.4, so there hasnt been any stability in palettes recently.

And that is exactly my point. Who on earth can remember a single recent release where there was stability on the default user choice for colors. Slow down already. Debating how easy or difficult it is to add or remove palettes in technical terms is beside the point and a distraction.
Comment 25 Commit Notification 2017-11-25 09:34:41 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6481a06b066a744e4f1a41ce1b0ca8b27e5f39b4

tdf#113858 Removal of tango and breeze palettes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Yousuf Philips (jay) (retired) 2017-11-25 09:55:53 UTC
(In reply to Adolfo Jayme from comment #24)
> And that is exactly my point. Who on earth can remember a single recent
> release where there was stability on the default user choice for colors.

We have stabilized the standard color palette in 5.4 and that wont be changing any time soon i believe, and most users dont change from the default.

> Slow down already. Debating how easy or difficult it is to add or remove
> palettes in technical terms is beside the point and a distraction.

The removal of unnecessary palettes was discussed last year[1] and started with bug 104047 and the discussion wasnt completely closed though the bug was, so that is what we hope to get done this time, so hopefully we can potentially focus on adding useful palettes.

[1] https://wiki.documentfoundation.org/Design/Meetings/2016-11-17
Comment 27 Roman Kuznetsov 2017-11-25 16:11:03 UTC
before deleting of palettes make extension with them!
Comment 28 Thomas Lendo 2017-11-29 09:37:40 UTC
Changing summary from "Remove color palettes Breeze, Tango and LibreOffice" to "Remove Breeze and Tango color palettes".

Seems done in version: 6.1.0.0.alpha0+ (x64)
Build ID: 8c99d76144b550b17810135418d1c2f12ef8f138
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-26_22:48:47

Is it also done in 6.0.0 as declared in the whiteboard?
Comment 29 Yousuf Philips (jay) (retired) 2017-12-02 11:11:54 UTC
(In reply to Thomas Lendo from comment #28)
> Changing summary from "Remove color palettes Breeze, Tango and LibreOffice"
> to "Remove Breeze and Tango color palettes".

Changing the summary wasnt necessary. Though i'm still in favour of removing the LibreOffice palette as it wouldnt be beneficial to LO users, but would be beneficial to LO contributors, I wouldnt remove it until the color palette extension was created.

> Is it also done in 6.0.0 as declared in the whiteboard?

Yes the patch went in before the branching, so its there in 6.0 beta 1 which i just checked.
Comment 30 Heiko Tietze 2018-05-15 09:09:36 UTC
Thomas, can we close this ticket?
Comment 31 Thomas Lendo 2018-05-15 11:15:04 UTC
If extensions are online for Breeze and Tango palettes, then we can close this issue. For me.

But Jay want to remove LibreOffice palette too, see comment 29.
Comment 32 Heiko Tietze 2018-05-15 12:04:47 UTC
(In reply to Thomas Lendo from comment #31)
> If extensions are online for Breeze and Tango palettes, then we can close
> this issue. For me.
> 
> But Jay want to remove LibreOffice palette too, see comment 29.

It's your ticket. My take is in comment 10.
Comment 33 Thomas Lendo 2018-06-26 18:18:11 UTC
I'll close this ticket as there is no consent to remove LibreOffice color palette.

Tango and Breeze were removed and are available as extensions:
https://extensions.libreoffice.org/extensions/breeze-color-palette
https://extensions.libreoffice.org/extensions/tango-color-variations

Fixed by comment 25.